--
-- $Id$
--
-- <<Gebouwverantwoordelijken aanpassen>>

DEFINE thisfile = 'RABO#55963.SQL'
DEFINE dbuser   = '^RABO'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------


UPDATE prs_bedrijfadres ba
   SET prs_bedrijfadres_url = 'mailto:' || prs_bedrijfadres_url,
       prs_bedrijfadres_xsl = 'xsl/RABO.xsl',
       prs_bedrijfadres_lockuser_key = 6503,
       prs_bedrijfadres_locksecret = DBMS_RANDOM.string ('a', 32),
       prs_bedrijfadres_lockexpire = 30,
       prs_bedrijfadres_attachfile =
           DECODE (
               (SELECT prs_relatietype_key
                  FROM prs_bedrijf b
                 WHERE b.prs_bedrijf_key = ba.prs_bedrijf_key),
               2, 'HEYDAY_Algemene Inkoopvoorwaarden_Versie februari 2018.pdf',
               30, 'HEYDAY_Algemene Inkoopvoorwaarden_Versie februari 2018.pdf',
               'RABO_Inkoopvoorwaarden 2018-NL.pdf')
 WHERE     prs_bedrijfadres_type = 'O'
       AND mld_typeopdr_key IS NULL
       AND prs_bedrijf_key IN (SELECT prs_bedrijf_key
                                 FROM fac_imp_bedrijfadres
                                WHERE prs_bedrijfadres_type = 'O')
       AND LOWER (prs_bedrijfadres_url) NOT LIKE 'mailto:%';


UPDATE prs_bedrijfadres ba
   SET prs_bedrijfadres_url = 'mailto:' || prs_bedrijfadres_url,
       prs_bedrijfadres_xsl = 'xsl/RABO.xsl',
       prs_bedrijfadres_attachfile =
           DECODE (
               (SELECT prs_relatietype_key
                  FROM prs_bedrijf b
                 WHERE b.prs_bedrijf_key = ba.prs_bedrijf_key),
               2, 'HEYDAY_Algemene Inkoopvoorwaarden_Versie februari 2018.pdf',
               30, 'HEYDAY_Algemene Inkoopvoorwaarden_Versie februari 2018.pdf',
               'RABO_Inkoopvoorwaarden 2018-NL.pdf')
 WHERE     prs_bedrijfadres_type = 'C'
       AND prs_bedrijf_key IN (SELECT prs_bedrijf_key
                                 FROM fac_imp_bedrijfadres
                                WHERE prs_bedrijfadres_type = 'C')
       AND LOWER (prs_bedrijfadres_url) NOT LIKE 'mailto:%';

UPDATE prs_bedrijf
   SET prs_relatietype_key = 2  -- MA -> Managing Agent
 WHERE prs_relatietype_key = 30;

UPDATE prs_bedrijf
   SET prs_relatietype_key = 1  -- CP -> Contracting Party
 WHERE prs_relatietype_key = 31;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile